Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82212 - inconsistent smart search in konqueror
Summary: inconsistent smart search in konqueror
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Rockai
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-19 23:40 UTC by Michael Wardle
Modified: 2008-01-17 17:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-18 18:07:29 UTC


Attachments (Terms of Use)

Description Michael Wardle 2003-01-19 23:40:26 UTC
Description of problem: 
The Konqueror Web browser has a feature to enter search terms in the location bar 
and have it submit those terms to a search engine such as Google.  The search is 
not always performed as expected. 
 
For instance, if I type "terminal" in the location bar and press enter, I am taken 
to the Google search results for "terminal".  If I type "autoconf", I get an error message 
saying "Malformed URL".  If I type "g:autoconf" (which should also perform a Google 
search for "autoconf" using the web shortcuts feature), I am taken to a Google search 
for "g:autoconf" rather than "autoconf". 
 
Also, if I type a non-qualified host name (such as bugs) in the location bar, I 
expect Konqueror to first attempt to connect to <http://bugs> before attempting 
a search.  It does not appear to do so, as it ends up at a Google search page. 
 
Version-Release number of selected component (if applicable): 
3.1-09 Red Hat 
 
How reproducible: 
Sometimes. 
 
Steps to Reproduce: 
1. Open a new Konqueror Web browser 
2. Enter a word in the location bar and press enter 
     
Actual results: 
Various: sometimes the word is used as a Google search, sometimes an 
error message appears. 
 
Expected results: 
If the word is a valid local host name, the browser connects to the Web 
server on that host, otherwise, a Google search is performed on that term. 
 
Additional info:

Comment 1 Petr Rockai 2006-07-17 18:31:51 UTC
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.

Comment 2 Bill Nottingham 2006-10-18 18:07:29 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.